# Targeting Attachments

TargetingAttachments

## Get a List of Attachments

 - [GET /attachments](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/list-attachments.md): Get a list of attachments. Attachments can be queried and sorted by fields: 
- id, 
- target_id,
- strategy_id,
- restriction,
- operator,
- created_on,
- updated_on,
- version,
- or_better.

## Create an Attachment

 - [POST /attachments](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/create-attachment.md): Create an attachment

## (Legacy) Get a List of Attachments

 - [GET /attachment](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/list-attachments-legacy.md): Get a list of attachments

## (Legacy) Create an Attachment

 - [POST /attachment](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/create-attachment-legacy.md): Create an attachment

## Get an Attachment

 - [GET /attachments/{attachment_id}](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/get-attachment.md): Get an attachment by ID

## Update an Attachment

 - [POST /attachments/{attachment_id}](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/update-attachment.md): Update an attachment by ID

## Delete an Attachment

 - [DELETE /attachments/{attachment_id}](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/delete-attachment.md): Delete an attachment by ID

## (Legacy) Get an Attachment

 - [GET /attachment/{attachment_id}](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/get-attachment-legacy.md): Get an attachment by ID

## (Legacy) Update an Attachment

 - [PUT /attachment/{attachment_id}](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/update-attachment-legacy.md): Update an attachment by ID

## (Legacy) Delete an Attachment

 - [DELETE /attachment/{attachment_id}](https://apidocs.mediamath.com/apis/campaigns-api/openapi/targeting-attachments/delete-attachment-legacy.md): Delete an attachment by ID

